<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8" content="width=device-width, initial-scale=1.0">
    <title>selectBox-car</title>
    <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.6.4/jquery.min.js"></script>
    <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/3.4.1/css/bootstrap.min.css">
    <script src="https://maxcdn.bootstrapcdn.com/bootstrap/3.4.1/js/bootstrap.min.js"></script>
</head>

<body>
    <div class="container">
        <h2>Responsive Form</h2>
        <form id="inputform01" class="jumbotron container">
            <div class="row form-group">
                <div class="col-sm-3">
                    <label for="fname">First Name</label>
                </div>
                <div class="col-sm-9">
                    <input type="text" id="fname" name="firstname" placeholder="Your name.." class="form-control">
                </div>
            </div>
            <div class="row form-group">
                <div class="col-sm-3">
                    <label for="lname">Last Name</label>
                </div>
                <div class="col-sm-9">
                    <input type="text" id="lname" name="lastname" placeholder="Your last name.." class="form-control">
                </div>
            </div>
            <div class="row form-group">
                <div class="col-sm-3">
                    <label for="country">Car</label>
                </div>
                <div class="col-sm-3">
                    <select id="car-select" name="car" class="form-control">
                        <option value="">Select Car</option>
                    </select>
                </div>
                <div class="col-sm-3">
                    <label for="region">CarType</label>
                </div>
                <div class="col-sm-3">
                    <select id="cartype-select" name="cartype" class="form-control">
                        <option value="">Select Cartype</option>
                    </select>
                </div>
            </div>
            <div class="row pull-right">
                <div class="col-sm-12">
                    <input type="button" value="Send" class="btn btn-info" id="send-button">
                </div>
            </div>
        </form>
    </div>
</body>

<script>
    $(document).ready(function () {
        getCarData();
        $("#car-select").on("change", function () {
            $("#cartype-select").html("");
            var bCarCode = $(this).val();
            console.log("Carcode: " + bCarCode);
            getCarByCarCode(bCarCode);
        })
    });
    function getCarData() {
        // lấy data từ server
        $.ajax({
            url: "http://localhost:8089/devcamp-cars",
            type: "GET",
            dataType: 'json',
            success: function (responseObject) {
                console.log(responseObject)
                loadDatoSelectCar(responseObject)
            },
            error: function (error) {
                console.assert(error.status);
            }
        });
    }
    //load dato to selectCar

    function loadDatoSelectCar(paramRes) {
        for (i = 0; i < paramRes.length; i++) {
            let bOptionCar = $("<option>", {
                value: paramRes[i].carCode,
                text: paramRes[i].carName
            }).appendTo($("#car-select"));
        }
    }

    function getCarByCarCode(bCarCode) {
        $.ajax({
            url: "http://localhost:8089/devcamp-cartypes?carCode=" + bCarCode,
            type: "GET",
            success: function (response) {
                loadDataToSelectCarType(response)
            },
            error: function (err) {
                console.log(err.status)
            }
        })
    }

    //load data to select cartype
    function loadDataToSelectCarType(paramRes) {
        for (i = 0; i < paramRes.length; i++) {
            let bOption = $("<option>", {
                value: paramRes[i].typeCode,
                text: paramRes[i].typeName,
            }).appendTo($("#cartype-select"));
        }
    }
</script>

</html>